## org.eclipse.ocl.parser.backtracking
Interface OCLBacktrackingParsersym

All Known Implementing Classes:
  OCLBacktrackingKWLexer, OCLBacktrackingLexer, OCLBacktrackingParserprs

    public interface OCLBacktrackingParsersym

The backtracking variant of the OCL parser symbol table.

Since:
  1.3

Field Summary
`static boolean` `isValidForParser`
`static String[]` `orderedTerminalSymbols`
`static int` `TK_allInstances`
`static int` `TK_and`
`static int` `TK_any`
`static int` `TK_ARROW`
`static int` `TK_ATPRE`
`static int` `TK_attr`
`static int` `TK_Bag`
`static int` `TK_BAR`
`static int` `TK_body`
`static int` `TK_Boolean`
`static int` `TK_CARET`
`static int` `TK_CARETCARET`
`static int` `TK_closure`
`static int` `TK_collect`
`static int` `TK_Collection`
`static int` `TK_collectNested`
`static int` `TK_COLON`
`static int` `TK_COLONCOLON`
`static int` `TK_COMMA`
`static int` `TK_context`
`static int` `TK_def`
`static int` `TK_derive`
`static int` `TK_DIVIDE`
`static int` `TK_DOT`
`static int` `TK_DOTDOT`
`static int` `TK_else`
`static int` `TK_endif`
`static int` `TK_endpackage`
`static int` `TK_EOF_TOKEN`
`static int` `TK_EQUAL`
`static int` `TK_ERROR_TOKEN`
`static int` `TK_exists`
`static int` `TK_false`
`static int` `TK_forAll`
`static int` `TK_GREATER`
`static int` `TK_GREATER_EQUAL`
`static int` `TK_IDENTIFIER`
`static int` `TK_if`
`static int` `TK_implies`
`static int` `TK_in`
`static int` `TK_init`
`static int` `TK_Integer`
`static int` `TK_INTEGER_LITERAL`
`static int` `TK_INTEGER_RANGE_START`
`static int` `TK_inv`
`static int` `TK_Invalid`
`static int` `TK_isUnique`
`static int` `TK_iterate`
`static int` `TK_LBRACE`
`static int` `TK_LBRACKET`
`static int` `TK_LESS`
`static int` `TK_LESS_EQUAL`
`static int` `TK_let`
`static int` `TK_LPAREN`
`static int` `TK_MINUS`
`static int` `TK_MULTIPLY`
`static int` `TK_not`
`static int` `TK_NOT_EQUAL`
`static int` `TK_null`
`static int` `TK_NUMERIC_OPERATION`
`static int` `TK_OclAny`
`static int` `TK_oclAsType`
`static int` `TK_OclInvalid`
`static int` `TK_oclIsInState`
`static int` `TK_oclIsInvalid`
`static int` `TK_oclIsKindOf`
`static int` `TK_oclIsNew`
`static int` `TK_oclIsTypeOf`
`static int` `TK_oclIsUndefined`
`static int` `TK_OclMessage`
`static int` `TK_OclVoid`
`static int` `TK_one`
`static int` `TK_oper`
`static int` `TK_or`
`static int` `TK_OrderedSet`
`static int` `TK_package`
`static int` `TK_PLUS`
`static int` `TK_post`
`static int` `TK_pre`
`static int` `TK_QUESTIONMARK`
`static int` `TK_RBRACE`
`static int` `TK_RBRACKET`
`static int` `TK_Real`
`static int` `TK_REAL_LITERAL`
`static int` `TK_reject`
`static int` `TK_RPAREN`
`static int` `TK_select`
`static int` `TK_self`
`static int` `TK_SEMICOLON`
`static int` `TK_Sequence`
`static int` `TK_Set`
`static int` `TK_sortedBy`
`static int` `TK_String`
`static int` `TK_STRING_LITERAL`
`static int` `TK_then`
`static int` `TK_true`
`static int` `TK_Tuple`
`static int` `TK_UnlimitedNatural`
`static int` `TK_xor`

Field Detail

### TK_NUMERIC_OPERATION

    static final int TK_NUMERIC_OPERATION

See Also:
  Constant Field Values

### TK_STRING_LITERAL

    static final int TK_STRING_LITERAL

See Also:
  Constant Field Values

### TK_INTEGER_LITERAL

    static final int TK_INTEGER_LITERAL

See Also:
  Constant Field Values

### TK_REAL_LITERAL

    static final int TK_REAL_LITERAL

See Also:
  Constant Field Values

### TK_PLUS

    static final int TK_PLUS

See Also:
  Constant Field Values

### TK_MINUS

    static final int TK_MINUS

See Also:
  Constant Field Values

### TK_MULTIPLY

    static final int TK_MULTIPLY

See Also:
  Constant Field Values

### TK_DIVIDE

    static final int TK_DIVIDE

See Also:
  Constant Field Values

### TK_GREATER

    static final int TK_GREATER

See Also:
  Constant Field Values

### TK_LESS

    static final int TK_LESS

See Also:
  Constant Field Values

### TK_EQUAL

    static final int TK_EQUAL

See Also:
  Constant Field Values

### TK_GREATER_EQUAL

    static final int TK_GREATER_EQUAL

See Also:
  Constant Field Values

### TK_LESS_EQUAL

    static final int TK_LESS_EQUAL

See Also:
  Constant Field Values

### TK_NOT_EQUAL

    static final int TK_NOT_EQUAL

See Also:
  Constant Field Values

### TK_LPAREN

    static final int TK_LPAREN

See Also:
  Constant Field Values

### TK_RPAREN

    static final int TK_RPAREN

See Also:
  Constant Field Values

### TK_LBRACE

    static final int TK_LBRACE

See Also:
  Constant Field Values

### TK_RBRACE

    static final int TK_RBRACE

See Also:
  Constant Field Values

### TK_LBRACKET

    static final int TK_LBRACKET

See Also:
  Constant Field Values

### TK_RBRACKET

    static final int TK_RBRACKET

See Also:
  Constant Field Values

### TK_ARROW

    static final int TK_ARROW

See Also:
  Constant Field Values

### TK_BAR

    static final int TK_BAR

See Also:
  Constant Field Values

### TK_COMMA

    static final int TK_COMMA

See Also:
  Constant Field Values

### TK_COLON

    static final int TK_COLON

See Also:
  Constant Field Values

### TK_COLONCOLON

    static final int TK_COLONCOLON

See Also:
  Constant Field Values

### TK_SEMICOLON

    static final int TK_SEMICOLON

See Also:
  Constant Field Values

### TK_DOT

    static final int TK_DOT

See Also:
  Constant Field Values

### TK_DOTDOT

    static final int TK_DOTDOT

See Also:
  Constant Field Values

### TK_ATPRE

    static final int TK_ATPRE

See Also:
  Constant Field Values

### TK_CARET

    static final int TK_CARET

See Also:
  Constant Field Values

### TK_CARETCARET

    static final int TK_CARETCARET

See Also:
  Constant Field Values

### TK_QUESTIONMARK

    static final int TK_QUESTIONMARK

See Also:
  Constant Field Values

### TK_self

    static final int TK_self

See Also:
  Constant Field Values

### TK_inv

    static final int TK_inv

See Also:
  Constant Field Values

### TK_pre

    static final int TK_pre

See Also:
  Constant Field Values

### TK_post

    static final int TK_post

See Also:
  Constant Field Values

### TK_context

    static final int TK_context

See Also:
  Constant Field Values

### TK_package

    static final int TK_package

See Also:
  Constant Field Values

### TK_endpackage

    static final int TK_endpackage

See Also:
  Constant Field Values

### TK_def

    static final int TK_def

See Also:
  Constant Field Values

### TK_if

    static final int TK_if

See Also:
  Constant Field Values

### TK_then

    static final int TK_then

See Also:
  Constant Field Values

### TK_else

    static final int TK_else

See Also:
  Constant Field Values

### TK_endif

    static final int TK_endif

See Also:
  Constant Field Values

### TK_and

    static final int TK_and

See Also:
  Constant Field Values

### TK_or

    static final int TK_or

See Also:
  Constant Field Values

### TK_xor

    static final int TK_xor

See Also:
  Constant Field Values

### TK_not

    static final int TK_not

See Also:
  Constant Field Values

### TK_implies

    static final int TK_implies

See Also:
  Constant Field Values

### TK_let

    static final int TK_let

See Also:
  Constant Field Values

### TK_in

    static final int TK_in

See Also:
  Constant Field Values

### TK_true

    static final int TK_true

See Also:
  Constant Field Values

### TK_false

    static final int TK_false

See Also:
  Constant Field Values

### TK_body

    static final int TK_body

See Also:
  Constant Field Values

### TK_derive

    static final int TK_derive

See Also:
  Constant Field Values

### TK_init

    static final int TK_init

See Also:
  Constant Field Values

### TK_null

    static final int TK_null

See Also:
  Constant Field Values

### TK_attr

    static final int TK_attr

See Also:
  Constant Field Values

### TK_oper

    static final int TK_oper

See Also:
  Constant Field Values

### TK_Set

    static final int TK_Set

See Also:
  Constant Field Values

### TK_Bag

    static final int TK_Bag

See Also:
  Constant Field Values

### TK_Sequence

    static final int TK_Sequence

See Also:
  Constant Field Values

### TK_Collection

    static final int TK_Collection

See Also:
  Constant Field Values

### TK_OrderedSet

    static final int TK_OrderedSet

See Also:
  Constant Field Values

### TK_iterate

    static final int TK_iterate

See Also:
  Constant Field Values

### TK_forAll

    static final int TK_forAll

See Also:
  Constant Field Values

### TK_exists

    static final int TK_exists

See Also:
  Constant Field Values

### TK_isUnique

    static final int TK_isUnique

See Also:
  Constant Field Values

### TK_any

    static final int TK_any

See Also:
  Constant Field Values

### TK_one

    static final int TK_one

See Also:
  Constant Field Values

### TK_collect

    static final int TK_collect

See Also:
  Constant Field Values

### TK_select

    static final int TK_select

See Also:
  Constant Field Values

### TK_reject

    static final int TK_reject

See Also:
  Constant Field Values

### TK_collectNested

    static final int TK_collectNested

See Also:
  Constant Field Values

### TK_sortedBy

    static final int TK_sortedBy

See Also:
  Constant Field Values

### TK_closure

    static final int TK_closure

See Also:
  Constant Field Values

### TK_oclIsKindOf

    static final int TK_oclIsKindOf

See Also:
  Constant Field Values

### TK_oclIsTypeOf

    static final int TK_oclIsTypeOf

See Also:
  Constant Field Values

### TK_oclAsType

    static final int TK_oclAsType

See Also:
  Constant Field Values

### TK_oclIsNew

    static final int TK_oclIsNew

See Also:
  Constant Field Values

### TK_oclIsUndefined

    static final int TK_oclIsUndefined

See Also:
  Constant Field Values

### TK_oclIsInvalid

    static final int TK_oclIsInvalid

See Also:
  Constant Field Values

### TK_oclIsInState

    static final int TK_oclIsInState

See Also:
  Constant Field Values

### TK_allInstances

    static final int TK_allInstances

See Also:
  Constant Field Values

### TK_String

    static final int TK_String

See Also:
  Constant Field Values

### TK_Integer

    static final int TK_Integer

See Also:
  Constant Field Values

### TK_UnlimitedNatural

    static final int TK_UnlimitedNatural

See Also:
  Constant Field Values

### TK_Real

    static final int TK_Real

See Also:
  Constant Field Values

### TK_Boolean

    static final int TK_Boolean

See Also:
  Constant Field Values

### TK_Tuple

    static final int TK_Tuple

See Also:
  Constant Field Values

### TK_OclAny

    static final int TK_OclAny

See Also:
  Constant Field Values

### TK_OclVoid

    static final int TK_OclVoid

See Also:
  Constant Field Values

### TK_Invalid

    static final int TK_Invalid

See Also:
  Constant Field Values

### TK_OclMessage

    static final int TK_OclMessage

See Also:
  Constant Field Values

### TK_OclInvalid

    static final int TK_OclInvalid

See Also:
  Constant Field Values

### TK_EOF_TOKEN

    static final int TK_EOF_TOKEN

See Also:
  Constant Field Values

### TK_IDENTIFIER

    static final int TK_IDENTIFIER

See Also:
  Constant Field Values

### TK_INTEGER_RANGE_START

    static final int TK_INTEGER_RANGE_START

See Also:
  Constant Field Values

### TK_ERROR_TOKEN

    static final int TK_ERROR_TOKEN

See Also:
  Constant Field Values

### orderedTerminalSymbols

    static final String[] orderedTerminalSymbols

### isValidForParser

    static final boolean isValidForParser

See Also:
  Constant Field Values

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.